---
layout: docs
title: Table Fixed Columns
description: Table Fixed columns extension of Bootstrap Table.
group: extensions
toc: true
---

## Usage

{% highlight html %}
<link rel="stylesheet" src="extensions/fixed-columns/bootstrap-table-fixed-columns.css">
<script src="extensions/fixed-columns/bootstrap-table-fixed-columns.js"></script>
{% endhighlight %}

## Options

### fixedColumns

- **type:** `Boolean`

- **Detail:**

  set `true` to enable fixed columns.

- **Default:** `false`

### fixedNumber

- **type:** Number

- **Detail:**

  the number of fixed columns.

- **Default:** `1`
